Subject: Re: 0ad only builds fine with a specific version of mozjs
From: Guillaume Le Vaillant <[email-masked]>
To: Liliana Marie Prikler <[email-masked]>
Cc: Jesse Gibbons <[email-masked]>, [email-masked]
Date: Sun, 02 Jan 2022 12:56:25 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Liliana Marie Prikler <[email-masked]> skribis:

> @Guillaume: From what I can gather from the build error, it appears as
> though the calling convention changed to require an additional
> parameter.  I've tracked down the relevant commit [1] and bug [2].
>
> Now obviously doing such a thing violates SemVer, so if rewriting 0ad
> with this and other changes in mind is not an option, I think having a
> hidden package for 0ad might be the lesser evil.
>
> Cheers
>
> [1]
> https://searchfox.org/mozilla-central/commit/a3c605929b16303e8a52ae9d99d5fe6769e8bf09
> [2] https://bugzilla.mozilla.org/show_bug.cgi?id=1681268

Thanks for the pointers.
I added a phase to fix the compatibility issue with mozjs-78.15, and
pushed as fea60a2fff443b9c172ed28bd37361e34e064f13.